Package gov.nasa.gsfc.sscweb.schema

# Class QueryDataResult

java.lang.Object
gov.nasa.gsfc.sscweb.schema.Result
gov.nasa.gsfc.sscweb.schema.AbstractResult
gov.nasa.gsfc.sscweb.schema.QueryResult
gov.nasa.gsfc.sscweb.schema.QueryDataResult

public class QueryDataResult extends QueryResult
Query result. <p>Java class for QueryDataResult complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="QueryDataResult"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}QueryResult"> <sequence> <element name="Conjunction" type="{http://sscweb.gsfc.nasa.gov/schema}Conjunction" maxOccurs="unbounded" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Conjunction>`
  `conjunction`
  Conjunction description.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.QueryResult

  `queryRequest`

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `statusCode, statusSubCode, statusText`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryDataResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Conjunction>`
  `getConjunction()`
  Conjunction description.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.QueryResult

  `getQueryRequest, setQueryRequest`

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.Result

  `getStatusCode, getStatusSubCode, getStatusText, setStatusCode, setStatusSubCode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### conjunction

    protected List<Conjunction> conjunction
    Conjunction description.

- ## Constructor Details

  - ### QueryDataResult

    public QueryDataResult()

- ## Method Details

  - ### getConjunction

    public List<Conjunction> getConjunction()
    Conjunction description. Gets the value of the conjunction property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the conjunction property.

    For example, to add a new item, do as follows:

         getConjunction().add(newItem);

    Objects of the following type(s) are allowed in the list `Conjunction`

    Returns:
      The value of the conjunction property.